Skip to main content

Query for transactions

GET 

/api/v3/transaction

Filtering

Available query parameter values for filtering:

  • transaction_id
  • customer_id
  • gateway_id
  • currency_id
  • creditcard_id
  • ach_id
  • tokenized_id
  • token
  • external_key
  • gateway_status
  • gateway_transid
  • amount
  • fee
  • transaction_type
  • transaction_method
  • transaction_detail
  • transaction_datetime
  • transaction_status.state
  • transaction_status.str
  • applied_to.package_id (this will find transactions that are applied to invoices from a specific package)
  • applied_to.package_external_key (this will find transactions that are applied to invoices from a specific package)
  • applied_to.invoice_id (this will find transactions that are applied to a particular invoice)

Expansions

Nodes you can expand by using the ?expand= query parameter:

  • applied_to - To get which invoices each transaction is associated with

Request

Responses

Object was fetched successfully